/* Fuentes */

@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Quicksand:wght@300..700&family=Roboto:ital,wght@0,100..900;1,100..900&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");

::placeholder {
  color: #999 !important;
}

/* Setear Estilos Bootstrap */
.row {
  margin: 0;
}

.oculto {
  display: none;
}

/* Clase Oculta */
.aspNetHidden {
  display: none;
}

/* Acceso */
.panel-primary {
  border-color: #337ab7;
  width: 100%;
  max-width: 1000px;
  margin-top: 10px;
}

.panel {
  background-color: #fff;
  border: 2px solid #337ab7;
  border-radius: 4px;
  box-shadow: 3px 3px 5px #337ab7;
}

.panel-primary .form-control,
.panel.primary .btn,
.panel-primary p,
.panel-primary .panel-footer {
  font-size: 1rem;
}

/* Estilos generales */

:root {
  --btn-bg-color: #286090;
  --font-color: #777;
}

body {
  margin: 0;
  padding: 0;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  font-family: sans-serif;
  /* font-family: "Quicksand", serif; */
  /* font-family: "Ubuntu", serif; */
  /* font-family: "Roboto", serif; */
  /* font-family: "Lato", serif; */
  font-weight: 400;
  line-height: 1.8;
  color: var(--font-color);
  background-color: #ffffffb7;
}

a {
  text-decoration: none;
}

.container {
  width: 1350px;
  max-width: 100%;
  display: flex;
  margin: 0 auto;
  justify-content: center;
}

@media (max-width: 900px) {
  .container {
    padding-left: 5px;
    padding-right: 5px;
  }
}

.btn-basic {
  padding: 8px 16px;
  margin: 0 auto;
  border-radius: 5px;
  min-width: 100px;
}

.contenedor-busqueda {
  padding: 1em 0.5em;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.1em;
  max-width: 100%;
}

.contenedor-busqueda button,
.contenedor-busqueda .btn {
  min-width: 115px;
  margin-left: 0;
  margin-right: 0;
  /* background-color: #337ab7; */
}

.contenedor-busqueda input,
.contenedor-busqueda button {
  max-width: 600px;
}

.contenedor-busqueda .input,
.contenedor-busqueda .btn {
  max-width: 600px;
}

.contenedor-busqueda .btn {
  width: 115px;
}

.no-padding {
  padding: 0;
}

.contenedor-busqueda input,
.contenedor-busqueda button {
  height: 40px;
}

.contenedor-busqueda input {
  width: 300px;
  padding: 0 0.5em;
  border-radius: 5px;
}

.contenedor-busqueda .input,
.contenedor-busqueda .btn {
  height: 40px;
}

.contenedor-busqueda .input {
  width: 300px;
  padding: 0 0.5em;
  border-radius: 5px;
}

.mensaje-busqueda {
  font-size: 1.5rem;
  text-align: center;
}

@media (max-width: 900px) {
  .contenedor-busqueda {
    flex-direction: column;
    gap: 0.5em;
  }

  .contenedor-busqueda input {
    width: 100%;
  }

  .contenedor-busqueda > * {
    width: 100%;
  }

  .contenedor-busqueda button,
  .contenedor-busqueda .btn,
  .contenedor-busqueda .input {
    width: 100% !important;
  }

  .contenedor-busqueda span {
    text-align: center;
  }

  .contenedor-busqueda .select {
    max-width: 100%;
  }

  .contenedor-busqueda .select option {
    max-width: 100%;
  }
}

/* h1 {
  text-align: center;
  letter-spacing: 1px;
  font-size: 2.8rem;
  font-weight: bold;
} */

form {
  min-width: 90%;
  max-width: 100%;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  padding: 0 5px 30px 5px;
}

td {
  padding: 1em;
}

input[type="checkbox"] {
  width: 20px;
  height: 20px;
}

button {
  background: none;
  border: none;
  padding: 0;
  margin: 0;
  font: inherit;
  color: inherit;
  cursor: pointer;
  outline: none;
}

.btn-nostyle {
  background: none;
  border: none;
  padding: 0;
  margin: 0;
  font: inherit;
  color: inherit;
  cursor: pointer;
  outline: none;
}

.cuadro-info {
  background-color: #e6f7ff;
  border-radius: 5px;
  text-align: center;
}

.margenes-y {
  margin-top: 1em;
  margin-bottom: 1em;
}

.contenedor-flexible {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 1em;
}

.ancho-100 {
  max-width: 100%;
}

.encabezado-acceso {
  background-color: var(--btn-bg-color);
  color: white;
  font-size: 1.2rem;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-weight: normal;
  padding: 10px 0;
}

.panel-primary input {
  margin: 0 auto;
}

.login {
  display: flex;
  flex-direction: column;
  gap: 1.5em;
  padding: 0 5px;
}

.login .titulo-rol {
  margin: 0;
  /* margin-top: -10px; */
  font-weight: 400;
  letter-spacing: normal;
  font-size: 20px;
  padding: 0 25px;
  line-height: 1;
}

.login h4 {
  font-size: 16px;
  margin-bottom: -20px;
}

/* Acceso fuera de sesión */

.acceso-fuera-sesion {
  display: flex;
  min-height: 95vh;
  max-width: 100%;
  width: 100%;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  /* color: #555; */
}

.acceso-fuera-sesion-box {
  position: relative;
  min-height: 600px;
  display: flex;
  gap: 2em;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  /* border: 3px solid rgb(33, 27, 154); */
  box-shadow: 3px 3px 10px #286090;
  border-radius: 5px;
  width: 100%;
  max-width: 900px;
  font-size: 1.1rem;
}

.acceso-fuera-sesion login {
  border: 1px solid black;
}

.titulo-fuera-de-sesion {
  position: absolute;
  top: 0;
  font-size: 1.2rem;
  background-color: var(--btn-bg-color);
  color: white;
  padding: 0.5em 0;
  width: 100%;
  border-radius: 5px;
}

.mensaje-sin-sesion {
  font-size: 1.4rem;
  padding: 1em;
  font-style: oblique;
  align-self: flex-start;
}

.usuario-fuera-sesion p {
  margin: 0 auto;
  font-size: 1.2rem;
}

.usuario-fuera-sesion span {
  font-size: 16.5px;
}

.fuera-sesion-footer {
  background-color: #ccc;
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  border-radius: 5px;
  padding: 6px;
  font-size: 1.1rem;
}

/* Botones */

.btn-basic {
  padding: 8px 16px;
  margin: 0 auto;
  border-radius: 5px;
  min-width: fit-content;
  width: 200px;
}

@media (max-width: 900px) {
  .btn,
  .btn-basic {
    width: 95%;
    max-width: 600px;
    display: block;
    margin-left: auto;
    margin-right: auto;
  }

  input[type="checkbox"] {
    width: 25px;
    height: 25px;
  }
}

.btn-inline {
  display: inline;
}

.img-logo {
  width: 380px;
}

.img-no-encontrado {
  width: 200px;
  max-width: 100%;
  height: auto;
}

.panel-credenciales {
  padding: 1em;
}

@media (max-width: 900px) {
  .panel-credenciales {
    padding: 0;
  }
}

.form-label {
  margin: 5px auto;
  display: block;
  font-weight: bold;
}

.form-input {
  margin: 0.5em auto;
  max-width: 600px;
  box-shadow: 1px 1px 5px #337ab7;
}

input {
  max-width: 100%;
}

input[type="text"] {
  display: block;
}

input[type="radio"] {
  display: inline-block;
  margin-left: 5px;
  margin-right: 10px;
  transform: scale(1.3);
}

@media (max-width: 900px) {
  input[type="text"] {
    width: 100%;
    margin: 0 auto;
  }

  select {
    width: 90%;
    margin: 0 auto;
    max-width: 100%;
    display: block;
  }
}

.form-input:active {
  outline: 1px solid var(--btn-bg-color);
}

.form-input:focus {
  outline: 1px solid var(--btn-bg-color);
}

@media (max-width: 900px) {
  .form-input {
    width: 95%;
  }
}

.text-info {
  color: var(--btn-bg-color) !important;
  padding: 10px 30px;
}

.panel-acceso {
  padding: 1em 0;
  max-width: 100%;
  /* min-height: 100vh; */
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.5em 0;
}

.panel-footer {
  /* background-color: var(--btn-bg-color); */
  background-color: rgb(239, 238, 238);
  /* color: white; */
  padding: 5px;
  margin-top: 15px;
  width: 100%;
}

#obutAccesocorrectoLogout {
  position: absolute;
  bottom: 100px;
}

@media (max-width: 900px) {
  #obutAccesocorrectoLogout {
    position: absolute;
    bottom: 40px;
  }
}

/* Modo móvil (pantallas pequeñas) */
@media (max-width: 768px) {
  .table-cemmi {
    max-width: 100%;
  }

  /* Ocultamos los encabezados de la tabla */
  .table-cemmi thead {
    display: none;
  }

  /* Descripción */
  .table-cemmi tbody tr:first-child {
    /* display: none; */
  }

  /* Cada fila se convierte en una "card" */
  .table-cemmi tr {
    margin-bottom: 10px;
    border: 1px solid #ccc;
    border-radius: 8px;
    overflow: hidden;
    /* background-color: #f9f9f9; */
  }

  /* Las celdas se convierten en filas individuales */
  .table-cemmi td {
    padding: 10px;
    /* text-align: left; */
  }

  /* Antes de cada celda, ponemos su "título" */
  .table-cemmi td::before {
    content: attr(data-label);
    font-weight: bold;
    text-transform: uppercase;
    color: #555;
  }

  .table-cemmi a,
  .table-cemmi span {
    display: block;
    text-align: center;
  }
}

/* Operador Venta Talón */

.titulo-rol,
h1 {
  text-align: center;
  font-size: 1.5rem;
  font-weight: bold;
  letter-spacing: 1px;
  margin: 1rem auto;
  text-transform: uppercase;
}

.titulo-roles-asignados {
  font-size: 1.5rem;
}

.titulo-roles-asignados span {
  display: inline;
}

.subtitulo-rol {
  font-size: 1.1rem;
  display: block;
  text-transform: uppercase;
  text-align: center;
  font-weight: 500;
  /* font-weight: bold; */
  letter-spacing: 1px;
  margin: 0.3em auto;
}

.panel-talon-seleccion {
  text-align: center;
  max-width: 100%;
}

.panel-talon-seleccion div {
  border: 0.5px solid rgba(0, 0, 0, 0.5);
  padding: 0.5em;
}

.panel-talon-seleccion div {
  border-bottom: none;
}

.panel-talon-seleccion div:last-child {
  border-bottom: 0.5px solid rgba(0, 0, 0, 0.5);
}

.btn-margin {
  margin: 0.8em auto;
}

/* rpt Sorteo Producción */

.info-sorteo-produccion span {
  display: block;
  padding: 0.5em;
  text-align: center;
}

.espaciado-interno {
  padding: 1em;
}

/* Reporte producción por vendedor */

.operaciones-en-proceso tr {
  font-size: 0.6rem;
}

.operaciones-en-proceso td {
  padding: 0 10px;
}

/* BarrioManzanaLote */

.tabla-barrio-manzana {
  table-layout: auto;
  line-height: 1.5;
}

.tabla-barrio-manzana tr {
  display: table-row;
  padding: 0;
}

/* {
  max-width: 130px;
  padding: 0;
} */

/* Tablas */

@media (max-width: 900px) {
  .table-cemmi td {
    align-items: center;
  }
}

/* Lotes en barrios */

/* .form-group {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
} */

/* Sweet alert */

.swal2-popup {
  /* width: fit-content; */
  /* font-size: 1.2rem; */
  /* padding: 1.5em 1em; */
}

.swal2-confirm {
  background-color: #286090;
  display: flex;
  align-items: center;
  justify-content: center;
  /* font-size: 1.2rem; */
}

.flecha {
  position: fixed;
  color: #337ab7;
  font-size: 3.2rem;
}

.flecha-arriba {
  right: 30px;
  bottom: 30px;
}

.flecha-abajo {
  left: 30px;
  bottom: 30px;
}
.solo-imprimir {
  display: none;
}

/* Fechas */

.seleccion-fechas {
  display: flex;
  align-items: center;
  justify-content: center;
}

@media (max-width: 900px) {
  .seleccion-fechas {
    flex-direction: column;
  }
}

.seleccion-fechas-sp > * {
  padding: 0.3em;
}

.seleccion-fechas-sp {
  display: flex;
  justify-content: center;
}

@media (max-width: 900px) {
  .seleccion-fechas-sp {
    width: 100%;
    margin: 0 auto;
  }
  .seleccion-fechas-sp select {
    display: block;
    margin: 0 auto;
    width: 90%;
    text-align: center;
    padding: 8px 0;
    max-width: 600px;
  }
}

#odsUltimosPeriodos {
  width: 100%;
}

.ancho-absoluto {
  width: 100%;
  margin-left: auto !important;
  margin-right: auto !important;
}

@media (max-width: 900px) {
  .flecha-arriba,
  .flecha-abajo {
    color: #373a3e;
    color: white;
    background-color: #337ab7;
    border-radius: 7px;
  }
}

@media print {
  .flecha-arriba {
    display: none;
  }

  #btnImpContrato {
    display: none;
  }

  .no-imprimir {
    display: none;
  }

  .solo-imprimir {
    display: unset;
  }

  .mod-impr {
    text-align: center;
  }

  .no-padding-imp {
    padding: 0;
    margin: -20px;
  }

  .tabla-operaciones-señadas {
    font-size: 16px;
  }

  /* Botones que no se muestran en impresión */

  button,
  .btn,
  .btn-primary,
  .btn-success,
  .btn-warning,
  .btn-danger,
  .contenedor-busqueda {
    display: none;
  }
}

.btn-imprimir {
  cursor: pointer;
}

.bi-printer-fill {
  font-size: 1.2rem;
}

/* @page {
  margin: 0;
} */

/* /* RploteVendedorVentaPeriodo */
/* @media (max-width: 768px) {
  .table-cemmi tr th {
    display: none !important;
  }

  .table-cemmi td {
    text-align: right;
    display: block;
  }

  table td::before {
    content: attr(data-title) ": ";
    float: left;
  }
} */

/* ASIGNACIÓN DE RANGO DE TALONARIO A SUPERVISOR */

.talonarios-grid a {
  min-width: fit-content;
  display: flex;
  justify-content: center;
  align-items: center;
}

.talonario-supervisor {
  flex-direction: column;
  font-size: 16px;
}

/* Todos los select */
select {
  padding-top: 0.4em;
  padding-bottom: 0.4em;
  border-radius: 5px;
}

/* Revisión Contratos */

.panel-revision-contratos select,
.panel-revision-contratos option {
  padding-top: 0.4em;
  padding-bottom: 0.4em;
  border-radius: 5px;
}

.revision-contratos-select span {
  font-weight: bold;
  display: block;
  margin-top: 1em;
}

.lote-venta-liberacion-select select {
  padding-top: 0.4em;
  padding-bottom: 0.4em;
  border-radius: 5px;
  max-width: 100%;
}

.lote-venta-liberacion-select span {
  font-weight: bold;
}

/* Botón dinámico */

.btn-dinamico {
  display: block;
  margin: 1em auto;
  height: 100%;
}

/* Contenedores generales de búsqueda */

.contenedor-busqueda-nuevo {
  max-width: 100%;
  margin: 1em auto;
  display: flex;
  gap: 8px;
  justify-content: center;
  align-items: center;
}

.input-busqueda {
  width: 65%;
  border-radius: 4px;
  height: 40px;
}

.btn-busqueda {
  width: 30%;
}

@media (max-width: 900px) {
  .contenedor-busqueda-nuevo {
    flex-direction: column;
  }

  .input-busqueda {
    width: 100%;
    border-radius: 4px;
    height: 40px;
  }

  .btn-busqueda {
    width: 100%;
  }
}

/* Contratos */

.panel-impresion-contrato {
  margin-top: 10mm;
  margin-left: 4mm;
  margin-right: 4mm;
}

@media print {
  @page: first {
    margin-bottom: 3cm;
  }

  .panel-impresion-contrato {
    margin-top: 10mm;
    margin-left: 12mm;
    margin-right: 12mm;
  }
}

.panel-impresion-contrato p,
.panel-impresion-contrato b {
  font-size: 0.8rem;
}

/* .panel-impresion-contrato b:first-of-type {
  display: block;
  text-align: center;
} */

.e-bloque {
  display: block;
}

.titulo-contrato {
  margin: 1em auto 0.2em auto;
  text-align: center;
  font-weight: bold;
}

.titulo-contrato,
.manzana-parcela-contrato {
  font-size: 1.2rem;
}

.panel-impresion-contrato h3 {
  text-align: center;
  font-weight: bold;
}

.firmantes {
  margin-top: 10rem;
  display: flex;
  justify-content: space-around;
}

.f-comprador .comprador,
.f-vendedor .agente-inmobiliario {
  margin: 0;
}

/* .f-comprador {
  margin-left: 3rem;
}

.f-vendedor {
  margin-right: 3rem;
} */

.agente-inmobiliario {
  margin: 0;
}

.fiduciario,
.agente-inmobiliario,
.comprador {
  font-size: 0.8rem;
}

/* .fiduciario {
  margin-right: auto;
} */

.agente-inmobiliario:nth-child(3) {
  text-align: right !important;
  display: block;
  color: red;
}

.comprador {
  margin-top: 6rem;
}

.contrato-articulo {
  display: inline;
}

/* .contrato-articulo::before { */
/* Genera un salto de línea */
/* content: '\A';  */
/* Hace que el salto de línea se renderice */
/* white-space: pre;  */
/* } */

/* LoteVentaVendedor22 */

.panel-alta {
  max-width: 100%;
  width: 800px;
  margin: 0.5em auto;
  padding: 3em 2em;
  border-radius: 5px;
  box-shadow: 3px 3px 5px gray;
}

.panel-alta div {
  display: block;
  padding: 0.05em;
}

/* #form1 {
  gap: 0;
} */

/* Control de adhesiones concretaddas por vendeor período */

#botones-menu {
  display: flex;
  gap: 1em;
}

#botones-menu button {
  box-shadow: 1px 1px 3px;
  min-width: 180px;
}

@media (max-width: 900px) {
  #botones-menu {
    flex-direction: column;
    width: 90%;
  }

  #botones-menu button {
    width: 100%;
    padding: 8px 0;
  }
}

.parrafo-contrato {
  text-align: justify;
}

/* Creando un label y un select en la mismca línea en escritorio */

.caja-busqueda {
  display: flex;
  justify-content: center;
  gap: 1rem;
  flex-wrap: wrap;
  margin: 0 auto 1rem auto;
}

.caja-busqueda span {
  min-width: 200px;
  text-align: center;
}

.caja-busqueda select {
  width: 300px;
  max-width: 100%;
}

.caja-busqueda select:focus,
.caja-busqueda select:active {
  box-shadow: 1px 1px 20px #286090;
  border: 1px solid #286090;
  outline: 1px solid #286090;
}

@media (max-width: 900px) {
  .caja-busqueda select {
    text-align: center;
    width: 100%;
  }
}
/* .select-busqueda:focus {
  outline: 1px solid #337ab7;
  box-shadow: 1px 1px 3px #337ab7;
} */

.contenedor-centrado .form-control,
.contenedor-centrado span:not(.check) {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.contenedor-centrado span {
  text-align: center;
}

.contenedor-centrado .check {
  display: flex;
  justify-content: center;
  max-width: 100%;
  width: 500px;
  margin-left: auto;
  margin-right: auto;
}
